Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class RauditxParameters

    java.lang.Object
      com.ibm.jzos.RauditxParameters

    public class RauditxParameters

extends java.lang.Object

Field Summary
`protected byte[]` | `_byteBuffer`
`static int` | `_DEFAULT_LEN`
`static BinaryAsLongField` | `ATTR` ATTR DS XL4
`static StringField` | `COMP` COMP DS CL255
`static BinaryAsLongField` | `COMP_LEN` COMP_LEN DS XL4
`static BinaryAsIntField` | `EVENT` EVENT DS F
`protected static AssemblerDatatypeFactory` | `factory`
`static StringField` | `FMID` FMID DS CL7
`static ByteArrayField` | `LINKVAL` LINKVAL DS XL8
`static StringField` | `LOG` LOG DS CL255 END
`static BinaryAsLongField` | `LOG_LEN` LOG_LEN DS XL4
`static BinaryAsIntField` | `MSG_CNT` MSG_CNT DS F
`static BinaryAsIntField` | `QUALIFIER` QUALIFIER DS F
`static StringField` | `RACF_CLS` RACF_CLS DS CL8
`static int` | `RAUDITX_PARMS` RAUDITX_PARMS DSECT
`static BinaryAsIntField` | `REL_CNT` REL_CNT DS F
`static StringField` | `RES` RES DS CL246
`static BinaryAsLongField` | `RES_LEN` RES_LEN DS XL4
`static BinaryAsIntField` | `SUBTYPE` SUBTYPE DS F

Constructor Summary
`RauditxParameters()`
`RauditxParameters(byte[] buffer)`

Method Summary
`long` | `getAttr()`
`byte[]` | `getByteBuffer()`
`java.lang.String` | `getComp()`
`long` | `getCompLen()`
`int` | `getEvent()`
`java.lang.String` | `getFmid()`
`byte[]` | `getLinkval()`
`java.lang.String` | `getLog()`
`long` | `getLogLen()`
`int` | `getMsgCnt()`
`int` | `getQualifier()`
`java.lang.String` | `getRacfCls()`
`int` | `getRelCnt()`
`java.lang.String` | `getRes()`
`long` | `getResLen()`
`int` | `getSubtype()`
`void` | `setAttr(long attr)`
`void` | `setComp(java.lang.String comp)`
`void` | `setCompLen(long compLen)`
`void` | `setEvent(int event)`
`void` | `setFmid(java.lang.String fmid)`
`void` | `setLinkval(byte[] linkval)`
`void` | `setLog(java.lang.String log)`
`void` | `setLogLen(long logLen)`
`void` | `setMsgCnt(int msgCnt)`
`void` | `setQualifier(int qualifier)`
`void` | `setRacfCls(java.lang.String racfCls)`
`void` | `setRelCnt(int relCnt)`
`void` | `setRes(java.lang.String res)`
`void` | `setResLen(long resLen)`
`void` | `setSubtype(int subtype)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static AssemblerDatatypeFactory factory

### RAUDITX_PARMS

    public static final int RAUDITX_PARMS

              RAUDITX_PARMS DSECT

### SUBTYPE

    public static BinaryAsIntField SUBTYPE

              SUBTYPE   DS   F

### EVENT

    public static BinaryAsIntField EVENT

              EVENT     DS   F

### QUALIFIER

    public static BinaryAsIntField QUALIFIER

              QUALIFIER DS   F

### REL_CNT

    public static BinaryAsIntField REL_CNT

              REL_CNT   DS   F

### MSG_CNT

    public static BinaryAsIntField MSG_CNT

              MSG_CNT   DS   F

### FMID

    public static StringField FMID

              FMID      DS   CL7

### RACF_CLS

    public static StringField RACF_CLS

              RACF_CLS  DS   CL8

### ATTR

    public static BinaryAsLongField ATTR

              ATTR      DS   XL4

### LINKVAL

    public static ByteArrayField LINKVAL

              LINKVAL   DS   XL8

### COMP_LEN

    public static BinaryAsLongField COMP_LEN

              COMP_LEN  DS   XL4

### COMP

    public static StringField COMP

              COMP      DS   CL255

### RES_LEN

    public static BinaryAsLongField RES_LEN

              RES_LEN   DS   XL4

### RES

    public static StringField RES

              RES       DS   CL246

### LOG_LEN

    public static BinaryAsLongField LOG_LEN

              LOG_LEN   DS   XL4

### LOG

    public static StringField LOG

              LOG       DS   CL255
                        END

### _DEFAULT_LEN

    public static final int _DEFAULT_LEN

### _byteBuffer

    protected byte[] _byteBuffer

Constructor Detail

### RauditxParameters

    public RauditxParameters()

### RauditxParameters

    public RauditxParameters(byte[] buffer)

Method Detail

### getByteBuffer

    public byte[] getByteBuffer()

### getSubtype

    public int getSubtype()

### setSubtype

    public void setSubtype(int subtype)

### getEvent

    public int getEvent()

### setEvent

    public void setEvent(int event)

### getQualifier

    public int getQualifier()

### setQualifier

    public void setQualifier(int qualifier)

### getRelCnt

    public int getRelCnt()

### setRelCnt

    public void setRelCnt(int relCnt)

### getMsgCnt

    public int getMsgCnt()

### setMsgCnt

    public void setMsgCnt(int msgCnt)

### getFmid

    public java.lang.String getFmid()

### setFmid

    public void setFmid(java.lang.String fmid)

### getRacfCls

    public java.lang.String getRacfCls()

### setRacfCls

    public void setRacfCls(java.lang.String racfCls)

### getAttr

    public long getAttr()

### setAttr

    public void setAttr(long attr)

### getLinkval

    public byte[] getLinkval()

### setLinkval

    public void setLinkval(byte[] linkval)

### getCompLen

    public long getCompLen()

### setCompLen

    public void setCompLen(long compLen)

### getComp

    public java.lang.String getComp()

### setComp

    public void setComp(java.lang.String comp)

### getResLen

    public long getResLen()

### setResLen

    public void setResLen(long resLen)

### getRes

    public java.lang.String getRes()

### setRes

    public void setRes(java.lang.String res)

### getLogLen

    public long getLogLen()

### setLogLen

    public void setLogLen(long logLen)

### getLog

    public java.lang.String getLog()

### setLog

    public void setLog(java.lang.String log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD